#!/bin/bash -ex
#SBATCH -J databases
#SBATCH -t 04:00:00
#SBATCH -c 5
#SBATCH --mem=50G
#SBATCH -o /g/arendt/npapadop/cluster/databases2.out
#SBATCH -e /g/arendt/npapadop/cluster/databases2.err

DATABASE="$1"
DATABASE_NAME="$2"
OUTPUT_DIR="$3"

cd ${OUTPUT_DIR}
mkdir ${DATABASE_NAME}
cd ${DATABASE_NAME}

module load MMseqs2

mmseqs databases ${DATABASE} ${DATABASE_NAME} tmp

module unload MMseqs2